Jobs
Open a live browser session on a parked job
POST /v1/jobs/{id}/takeover: Open a live browser session on a parked job
POST /v1/jobs/{id}/takeover
| Operation id | takeoverJob |
| Key scope | run: keys that run jobs (and admin keys) |
| Section | Jobs |
#Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | pattern ^job_[0-9a-hjkmnp-tv-z]{26}$ |
#Example request
curl -X POST "https://api.kaab.ist/v1/jobs/{id}/takeover" \
-H "Authorization: Bearer $KAAB_API_KEY"
#Responses
#201
Live session
| Field | Type | Required | Description |
|---|---|---|---|
live_url | string (uri) | yes | |
token | string | yes | |
expires_in | integer | yes | ≥ 1 |
#Errors
Every error answers with the error envelope; its code is one of the error codes.
| Status | When |
|---|---|
| 400 | request_invalid: request validation failed |
| 401 | Missing or invalid API key |
| 402 | insufficient_credits: top up to continue |
| 403 | The key's scope does not cover this operation |
| 404 | Resource not found |
| 409 | Conflicting state (see error.code) |
| 422 | Semantically invalid request (see error.code) |
| 429 | Rate limited; see Retry-After |
| 500 | internal: unexpected server error |